#
# spec file for package lswt
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           lswt
Version:        2.0.0
Release:        1.1
Summary:        Wayland toplevel lister
License:        GPL-3.0-only
Group:          System/X11/Utilities
URL:            https://git.sr.ht/~leon_plickat/lswt
Source:         %{name}-%{version}.tar.zst
Patch0:         Makefile.patch
BuildRequires:  scdoc >= 1.9.2
BuildRequires:  pkgconfig(wayland-client)

%description
A program to list Wayland toplevels.

Requires the Wayland server to implement the foreign-toplevel-management-unstable-v1
protocol extension.

%prep
%autosetup

%build
%make_build

%install
%make_install

%files
%license LICENSE
%doc README
%{_bindir}/lswt
%{_mandir}/man1/lswt.1.gz
%{_datadir}/bash-completion/completions/lswt

%changelog
* Sat Jun  8 2024 Joshua Smith <smolsheep@opensuse.org>
- Update Makefile.patch to current Makefile
- Update to version 2.0.0:
  * Human readable output format has changed.
  * Added watch mode, which will make lswt run continously,
    printing any updates to title and app-id of all toplevels as
    they happen.
  * Added support for the new ext-foreign-toplevel-info-v1
    protocol. lswt now supports both the ext- and the old wlr-
    protocol. Note that the feature set of these protocols is not
    congruent. The new ext- protocol offers unique identifiers for
    each toplevel, which should allow greater scripting abilities,
    while the older wlr- protocol supports states such as activated
    ("focused"), minimized, maximized and fullscreen. Should the
    Wayland server support both protocols, the newer ext- protocol
    is preferred.
  * The JSON output format has changed significantly. It gained a
    field indicating it's version and a field showing which
    toplevel states supported.
  * The TSV output format has been replaced by the more common and
    more widely supported CSV output format. Fields can be
    specified using a simple format string.
  * Fixed various bugs around printing NULL values and escaping
    strings for the machine readable output formats.
  * Fixed minor memory leak.
  * The Makefile has been updated to allow building on FreeBSD more
    easily.
  * lswt can now be build with clang more easiely.
* Tue Nov  7 2023 Dominique Leuenberger <dimstar@opensuse.org>
- Fix build with RPM 4.19: unnumbered patches are no longer
  supported.
* Mon Mar 14 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Use noun phrase in summary description
* Mon Mar 14 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Add patch to make spec simpler to build and install
* Sun Mar 13 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Fix spec (edit Version string to 1.0.4)
- Remove excluded architectures
- Clarify dependencies
* Sun Mar 13 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Use source tarball
- Update version to 1.0.4
* Sat Feb 19 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Initial rpm spec
